%define rel 2
%define srcname ktp-text-ui
%define urlver %(echo %{version}|cut -d. -f1,2,3)

Summary:        Telepathy handler for Text Chats
Name:           telepathy-kde-text-ui
Version: 16.12.3
Release:        %mkrel %{rel}
License:        GPLv2+
Group:          Networking/Instant messaging
Url:            https://projects.kde.org/projects/playground/network/telepathy/telepathy-text-ui
Source0:        http://download.kde.org/stable/kde-telepathy/%{urlver}/src/%{srcname}-%{version}.tar.xz
Patch0:         ktp-text-ui-16.12.3-OnlyShowIn-KDE.patch

BuildRequires:  telepathy-kde-common-internals-devel >= %{urlver}
BuildRequires:  pkgconfig(shared-desktop-ontologies)
BuildRequires:  pkgconfig(telepathy-logger-0.2)
BuildRequires:  pkgconfig(QtGLib-2.0)
BuildRequires:  telepathy-logger-qt5-devel
BuildRequires:  pkgconfig(QJson)
BuildRequires:  boost-devel


BuildRequires:  kdewebkit-devel
BuildRequires:  kemoticons-devel

BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5WebKit)
BuildRequires:  pkgconfig(Qt5WebKitWidgets)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5WebKit)

BuildRequires:  kf5-macros
BuildRequires:  kpeople-devel
BuildRequires:  karchive-devel
BuildRequires:  sonnet-devel
BuildRequires:  kwidgetsaddons-devel
BuildRequires:  kservice-devel
BuildRequires:  kemoticons-devel
BuildRequires:  kio-devel
BuildRequires:  kcmutils-devel
BuildRequires:  knotifyconfig-devel
BuildRequires:  knotifications-devel
BuildRequires:  ki18n-devel
BuildRequires:  kdewebkit-devel
BuildRequires:  kwindowsystem-devel
BuildRequires:  kxmlgui-devel
BuildRequires:  kitemviews-devel
BuildRequires:  ktextwidgets-devel
BuildRequires:  kiconthemes-devel
BuildRequires:  kdbusaddons-devel

# Added on 2011/11/27
Obsoletes:      telepathy-text-ui < 0.2.0-0
Obsoletes:      telepathy-chat-handler 

Requires:       telepathy-kde-common-internals-core >= %{urlver}
Requires:       telepathy-kde-send-file >= %{urlver}
# Spell check support
Requires:       iso-codes

Recommends:     kte-collaborative

%description
Telepathy handler for Text Chats.

%files 
%_kf5_bindir/ktp-log-viewer
%_kf5_libdir/libktpchat.so
%_kf5_libdir/libktpimagesharer.so
%_qt5_plugindir/*.so
%_libexecdir/*
%_kf5_datadir/applications/*.desktop
%_datadir/dbus-1/services/org.freedesktop.Telepathy.Client.KTp.TextUi.service
%_kf5_services/*
%_kf5_servicetypes/ktptxtui_message_filter.desktop
%_kf5_datadir/ktelepathy/Template.html
%_kf5_datadir/ktelepathy/longurl.js
%_kf5_datadir/ktelepathy/longurlServices.json
%_kf5_datadir/ktelepathy/showBugzillaInfo.js
%_kf5_datadir/ktelepathy/styles/SimKete.AdiumMessageStyle
%_kf5_datadir/ktelepathy/styles/WoshiChat.AdiumMessageStyle
%_kf5_datadir/ktelepathy/styles/renkoo.AdiumMessageStyle
%_kf5_datadir/ktp-log-viewer/log-viewer.rc
%_kf5_datadir/kxmlgui5/ktp-text-ui
%_kf5_datadir/telepathy/clients/KTp.TextUi.client

#------------------------------------------------------------------------------

%prep
%setup -q -n %{srcname}-%{version}
%autopatch -p1

%build
%cmake_kf5
%make_build

%install
%make_install -C build


%changelog
* Thu Mar 16 2017 neoclust <neoclust> 16.12.3-2.mga6
+ Revision: 1093221
- Show loguer only in Plasma (mga#20412)

* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1090195
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076937
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1072127
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067444
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061508
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1050771
- New version 16.08.1

* Tue Aug 30 2016 neoclust <neoclust> 16.08.0-1.mga6
+ Revision: 1049464
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 16.04.3-1.mga6
+ Revision: 1040174
- New version 16.04.3
- New version 16.04.2
- New version 16.04.2

* Thu May 12 2016 neoclust <neoclust> 16.04.1-1.mga6
+ Revision: 1014307
- New version 16.04.1

* Wed Apr 27 2016 neoclust <neoclust> 16.04.0-1.mga6
+ Revision: 1006729
- New version 16.04.0

* Sun Apr 03 2016 neoclust <neoclust> 16.03.80-1.mga6
+ Revision: 998056
- New version 16.03.80

* Sun Mar 20 2016 neoclust <neoclust> 15.12.3-1.mga6
+ Revision: 993243
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 15.12.2-1.mga6
+ Revision: 987702
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 15.12.1-1.mga6
+ Revision: 922729
- New version 15.12.1
- New version 15.12.0

* Mon Nov 23 2015 neoclust <neoclust> 15.11.80-1.mga6
+ Revision: 905454
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 15.08.3-1.mga6
+ Revision: 901190
- New version 15.08.3

* Wed Oct 14 2015 neoclust <neoclust> 15.08.2-1.mga6
+ Revision: 890683
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 15.08.1-1.mga6
+ Revision: 880483
- New version 15.08.1

* Wed Aug 19 2015 neoclust <neoclust> 15.08.0-1.mga6
+ Revision: 866001
- New version 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 15.07.90-2.mga6
+ Revision: 863638
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Sun Aug 09 2015 neoclust <neoclust> 15.07.90-1.mga6
+ Revision: 862252
- New version 15.07.90

* Wed Aug 05 2015 neoclust <neoclust> 15.07.80-2.mga6
+ Revision: 861176
- Own kxmlgui5/%%name dir

* Fri Jul 31 2015 neoclust <neoclust> 15.07.80-1.mga6
+ Revision: 859954
- New version 15.07.80

* Fri Jul 17 2015 neoclust <neoclust> 15.04.3-1.mga6
+ Revision: 854950
- New version 15.04.3

* Fri Feb 06 2015 lmenut <lmenut> 0.9.0-1.mga5
+ Revision: 813754
- Update to 0.9.0

* Wed Oct 15 2014 umeabot <umeabot> 0.8.1-3.mga5
+ Revision: 739661
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.1-2.mga5
+ Revision: 689809
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Mon Aug 25 2014 lmenut <lmenut> 0.8.1-1.mga5
+ Revision: 667410
- Update to 0.8.1
- add upstream patches from kde-telepathy-0.8 branch

* Sun Mar 16 2014 fwang <fwang> 0.8.0.1-1.mga5
+ Revision: 604133
- fix req
- 0.8.0.1

* Sun Feb 23 2014 fwang <fwang> 0.7.80-1.mga5
+ Revision: 595841
- 0.7.80

* Mon Feb 17 2014 fwang <fwang> 0.7.1-1.mga5
+ Revision: 593160
- 0.7.1

* Mon Nov 04 2013 lmenut <lmenut> 0.7.0-1.mga4
+ Revision: 549315
- Update to 0.7.0
  add suggests kte-collaborative

* Mon Oct 21 2013 umeabot <umeabot> 0.7-0.beta1.2.mga4
+ Revision: 540920
- Mageia 4 Mass Rebuild

* Tue Oct 08 2013 mikala <mikala> 0.7-0.beta1.1.mga4
+ Revision: 493004
- Update tarball to 0.6.80 aka 0.7 beta1
- Add pkgconfig(QJson) as BR

* Wed Aug 14 2013 fwang <fwang> 0.6.3-1.mga4
+ Revision: 466320
- new version 0.6.3

* Tue May 28 2013 mikala <mikala> 0.6.2.1-1.mga4
+ Revision: 429050
- Update tarball to 0.6.2

* Wed Apr 03 2013 mikala <mikala> 0.6.0-1.mga3
+ Revision: 407389
- Update tarball to 0.6.0

* Wed Mar 13 2013 neoclust <neoclust> 0.5.80-1.mga3
+ Revision: 402464
- New version

* Wed Feb 20 2013 mikala <mikala> 0.5.3-1.mga3
+ Revision: 399549
- Update tarball to 0.5.3

* Mon Jan 14 2013 umeabot <umeabot> 0.5.2-2.mga3
+ Revision: 384300
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 18 2012 mikala <mikala> 0.5.2-1.mga3
+ Revision: 332475
- Update tarball to 0.5.2

* Tue Oct 16 2012 mikala <mikala> 0.5.1-1.mga3
+ Revision: 306889
- Update tarball to 0.5.1

* Wed Aug 29 2012 mikala <mikala> 0.5.0-1.mga3
+ Revision: 285450
- Update tarball to 0.5.0
- Add missing BR

* Tue Jul 17 2012 neoclust <neoclust> 0.4.0-1.mga3
+ Revision: 271802
- New version 0.4.0

* Sun Jan 29 2012 mikala <mikala> 0.3.0-1.mga2
+ Revision: 202947
- Add requires for tkp-send-file
- Add requires of iso-codes (needed for spell check supports)
- Update tarball to 0.3.0
- Fix usage of find_lang macro
- Fix group

* Mon Nov 28 2011 mikala <mikala> 0.2.0-1.mga2
+ Revision: 173238
- Update tarball to 0.2.0
- fix files list
- Add some BR
- Rename package to match upstream name

* Fri Oct 07 2011 mikala <mikala> 0.1-0.git20111005.1.mga2
+ Revision: 152791
- Update git snapshot

* Thu Sep 22 2011 mikala <mikala> 0.1-0.git20110921.1.mga2
+ Revision: 146694
- Update git snapshot
- fix file list
- fix url to match new name
- Rename spec to telepathy-text-ui
- Rename telepathy-chat-handler to telepathy-text-ui
- Update tarball
- use kde4 macros
- fix file list

* Fri Jun 24 2011 dmorgan <dmorgan> 0.0-0.git20110624.1.mga2
+ Revision: 113041
- New snapshot

* Sat Apr 16 2011 ahmad <ahmad> 0.0-0.git20110415.1.mga1
+ Revision: 86138
- imported package telepathy-chat-handler

